HttpsURL (HttpClient Library (Version 3.1))
Date: 2018-05-07

org.apache.commons.httpclient

## Class HttpsURL

- java.lang.Object
- - org.apache.commons.httpclient.URI
  - - org.apache.commons.httpclient.HttpURL
    - - org.apache.commons.httpclient.HttpsURL

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class HttpsURL
      extends HttpURL

  The HTTPS URL.
  Author:
    Sung-Gu, Mike Bowler
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.httpclient.URI

      `URI.DefaultCharsetChanged, URI.LocaleToCharsetMap`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_default_port` Deprecated. Use `DEFAULT_PORT` instead. This one doesn't conform to the project naming conventions.
    `static char[]` | `_default_scheme` Deprecated. Use `DEFAULT_SCHEME` instead. This one doesn't conform to the project naming conventions.
    `static int` | `DEFAULT_PORT` Default port for HTTPS URL.
    `static char[]` | `DEFAULT_SCHEME` Default scheme for HTTPS URL.

    - ### Fields inherited from class org.apache.commons.httpclient.URI

      `_authority, _fragment, _host, _is_abs_path, _is_hier_part, _is_hostname, _is_IPv4address, _is_IPv6reference, _is_net_path, _is_opaque_part, _is_reg_name, _is_rel_path, _is_server, _opaque, _path, _port, _query, _scheme, _uri, _userinfo, abs_path, absoluteURI, allowed_abs_path, allowed_authority, allowed_fragment, allowed_host, allowed_IPv6reference, allowed_opaque_part, allowed_query, allowed_reg_name, allowed_rel_path, allowed_userinfo, allowed_within_authority, allowed_within_path, allowed_within_query, allowed_within_userinfo, alpha, alphanum, authority, control, defaultDocumentCharset, defaultDocumentCharsetByLocale, defaultDocumentCharsetByPlatform, defaultProtocolCharset, delims, digit, disallowed_opaque_part, disallowed_rel_path, domainlabel, escaped, fragment, hash, hex, hier_part, host, hostname, hostport, IPv4address, IPv6address, IPv6reference, mark, net_path, opaque_part, param, path, path_segments, pchar, percent, port, protocolCharset, query, reg_name, rel_path, rel_segment, relativeURI, reserved, rootPath, scheme, segment, server, space, toplabel, unreserved, unwise, URI_reference, uric, uric_no_slash, userinfo, within_userinfo`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpsURL()` Create an instance as an internal use.
    `` | `HttpsURL(char[] escaped)` Construct a HTTPS URL as an escaped form of a character array.
    `` | `HttpsURL(char[] escaped, java.lang.String charset)` Construct a HTTPS URL as an escaped form of a character array with the given charset to do escape encoding.
    `` | `HttpsURL(HttpsURL base, HttpsURL relative)` Construct a HTTPS URL with a given relative URL.
    `` | `HttpsURL(HttpsURL base, java.lang.String relative)` Construct a HTTPS URL with a given relative HTTPS URL string.
    `` | `HttpsURL(java.lang.String original)` Construct a HTTPS URL from a given string.
    `` | `HttpsURL(java.lang.String host, int port, java.lang.String path)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String host, int port, java.lang.String path, java.lang.String query)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String original, java.lang.String charset)` Construct a HTTPS URL from a given string with the given charset to do escape encoding.
    `` | `HttpsURL(java.lang.String userinfo, java.lang.String host, int port, java.lang.String path)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String userinfo, java.lang.String host, int port, java.lang.String path, java.lang.String query)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String userinfo, java.lang.String host, int port, java.lang.String path, java.lang.String query, java.lang.String fragment)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String user, java.lang.String password, java.lang.String host)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String user, java.lang.String password, java.lang.String host, int port)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String user, java.lang.String password, java.lang.String host, int port, java.lang.String path)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String user, java.lang.String password, java.lang.String host, int port, java.lang.String path, java.lang.String query)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String user, java.lang.String password, java.lang.String host, int port, java.lang.String path, java.lang.String query, java.lang.String fragment)` Construct a HTTP URL from given components.
    `` | `HttpsURL(java.lang.String host, java.lang.String path, java.lang.String query, java.lang.String fragment)` Construct a HTTPS URL from given components.
    `` | `HttpsURL(java.lang.String userinfo, java.lang.String host, java.lang.String path, java.lang.String query, java.lang.String fragment)` Construct a HTTPS URL from given components.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkValid()` Verify the valid class use for construction.
    `int` | `getPort()` Get the port number.
    `char[]` | `getRawScheme()` Get the scheme.
    `java.lang.String` | `getScheme()` Get the scheme.

    - ### Methods inherited from class org.apache.commons.httpclient.HttpURL

      `getEscapedPassword, getEscapedUser, getPassword, getRawAboveHierPath, getRawCurrentHierPath, getRawPassword, getRawPath, getRawUser, getUser, setEscapedPassword, setEscapedUser, setEscapedUserinfo, setPassword, setQuery, setQuery, setRawPassword, setRawUser, setRawUserinfo, setURI, setUser, setUserinfo, toUserinfo`

    - ### Methods inherited from class org.apache.commons.httpclient.URI

      `clone, compareTo, decode, decode, encode, equals, equals, getAboveHierPath, getAuthority, getCurrentHierPath, getDefaultDocumentCharset, getDefaultDocumentCharsetByLocale, getDefaultDocumentCharsetByPlatform, getDefaultProtocolCharset, getEscapedAboveHierPath, getEscapedAuthority, getEscapedCurrentHierPath, getEscapedFragment, getEscapedName, getEscapedPath, getEscapedPathQuery, getEscapedQuery, getEscapedURI, getEscapedURIReference, getEscapedUserinfo, getFragment, getHost, getName, getPath, getPathQuery, getProtocolCharset, getQuery, getRawAuthority, getRawCurrentHierPath, getRawFragment, getRawHost, getRawName, getRawPathQuery, getRawQuery, getRawURI, getRawURIReference, getRawUserinfo, getURI, getURIReference, getUserinfo, hasAuthority, hasFragment, hashCode, hasQuery, hasUserinfo, indexFirstOf, indexFirstOf, indexFirstOf, indexFirstOf, isAbsoluteURI, isAbsPath, isHierPart, isHostname, isIPv4address, isIPv6reference, isNetPath, isOpaquePart, isRegName, isRelativeURI, isRelPath, isServer, normalize, normalize, parseAuthority, parseUriReference, prevalidate, removeFragmentIdentifier, resolvePath, setDefaultDocumentCharset, setDefaultProtocolCharset, setEscapedAuthority, setEscapedFragment, setEscapedPath, setEscapedQuery, setFragment, setPath, setQuery, setRawAuthority, setRawFragment, setRawPath, setRawQuery, toString, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SCHEME

          public static final char[] DEFAULT_SCHEME

      Default scheme for HTTPS URL.

    - #### _default_scheme

          public static final char[] _default_scheme

      Deprecated. Use `DEFAULT_SCHEME` instead. This one doesn't conform to the project naming conventions.
      Default scheme for HTTPS URL.

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      Default port for HTTPS URL.
      See Also:
        Constant Field Values

    - #### _default_port

          public static final int _default_port

      Deprecated. Use `DEFAULT_PORT` instead. This one doesn't conform to the project naming conventions.
      Default port for HTTPS URL.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpsURL

          protected HttpsURL()

      Create an instance as an internal use.

    - #### HttpsURL

          public HttpsURL(char[] escaped,
                  java.lang.String charset)
                   throws URIException,
                          java.lang.NullPointerException

      Construct a HTTPS URL as an escaped form of a character array with the given charset to do escape encoding.
      Parameters:
        `escaped` - the HTTPS URL character sequence
        `charset` - the charset to do escape encoding
      Throws:
        `URIException` - If `checkValid()` fails
        `java.lang.NullPointerException` - if `escaped` is `null`
      See Also:
        `URI.getProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(char[] escaped)
                   throws URIException,
                          java.lang.NullPointerException

      Construct a HTTPS URL as an escaped form of a character array.
      Parameters:
        `escaped` - the HTTPS URL character sequence
      Throws:
        `URIException` - If `checkValid()` fails
        `java.lang.NullPointerException` - if `escaped` is `null`
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String original,
                  java.lang.String charset)
                   throws URIException

      Construct a HTTPS URL from a given string with the given charset to do escape encoding.
      Parameters:
        `original` - the HTTPS URL string
        `charset` - the charset to do escape encoding
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String original)
                   throws URIException

      Construct a HTTPS URL from a given string.
      Parameters:
        `original` - the HTTPS URL string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String host,
                  int port,
                  java.lang.String path)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `host` - the host string
        `port` - the port number
        `path` - the path string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String host,
                  int port,
                  java.lang.String path,
                  java.lang.String query)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `host` - the host string
        `port` - the port number
        `path` - the path string
        `query` - the query string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String user,
                  java.lang.String password,
                  java.lang.String host)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `user` - the user name
        `password` - his or her password
        `host` - the host string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String user,
                  java.lang.String password,
                  java.lang.String host,
                  int port)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `user` - the user name
        `password` - his or her password
        `host` - the host string
        `port` - the port number
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String user,
                  java.lang.String password,
                  java.lang.String host,
                  int port,
                  java.lang.String path)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `user` - the user name
        `password` - his or her password
        `host` - the host string
        `port` - the port number
        `path` - the path string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String user,
                  java.lang.String password,
                  java.lang.String host,
                  int port,
                  java.lang.String path,
                  java.lang.String query)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `user` - the user name
        `password` - his or her password
        `host` - the host string
        `port` - the port number
        `path` - the path string
        `query` - The query string.
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String host,
                  java.lang.String path,
                  java.lang.String query,
                  java.lang.String fragment)
                   throws URIException

      Construct a HTTPS URL from given components.
      Parameters:
        `host` - the host string
        `path` - the path string
        `query` - the query string
        `fragment` - the fragment string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String userinfo,
                  java.lang.String host,
                  java.lang.String path,
                  java.lang.String query,
                  java.lang.String fragment)
                   throws URIException

      Construct a HTTPS URL from given components. Note: The `userinfo` format is normally `<username>:<password>` where username and password must both be URL escaped.
      Parameters:
        `userinfo` - the userinfo string whose parts are URL escaped
        `host` - the host string
        `path` - the path string
        `query` - the query string
        `fragment` - the fragment string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String userinfo,
                  java.lang.String host,
                  int port,
                  java.lang.String path)
                   throws URIException

      Construct a HTTPS URL from given components. Note: The `userinfo` format is normally `<username>:<password>` where username and password must both be URL escaped.
      Parameters:
        `userinfo` - the userinfo string whose parts are URL escaped
        `host` - the host string
        `port` - the port number
        `path` - the path string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String userinfo,
                  java.lang.String host,
                  int port,
                  java.lang.String path,
                  java.lang.String query)
                   throws URIException

      Construct a HTTPS URL from given components. Note: The `userinfo` format is normally `<username>:<password>` where username and password must both be URL escaped.
      Parameters:
        `userinfo` - the userinfo string whose parts are URL escaped
        `host` - the host string
        `port` - the port number
        `path` - the path string
        `query` - the query string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String userinfo,
                  java.lang.String host,
                  int port,
                  java.lang.String path,
                  java.lang.String query,
                  java.lang.String fragment)
                   throws URIException

      Construct a HTTPS URL from given components. Note: The `userinfo` format is normally `<username>:<password>` where username and password must both be URL escaped.
      Parameters:
        `userinfo` - the userinfo string whose parts are URL escaped
        `host` - the host string
        `port` - the port number
        `path` - the path string
        `query` - the query string
        `fragment` - the fragment string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(java.lang.String user,
                  java.lang.String password,
                  java.lang.String host,
                  int port,
                  java.lang.String path,
                  java.lang.String query,
                  java.lang.String fragment)
                   throws URIException

      Construct a HTTP URL from given components.
      Parameters:
        `user` - the user name
        `password` - his or her password
        `host` - the host string
        `port` - the port number
        `path` - the path string
        `query` - the query string
        `fragment` - the fragment string
      Throws:
        `URIException` - If `checkValid()` fails
      See Also:
        `URI.getDefaultProtocolCharset()`

    - #### HttpsURL

          public HttpsURL(HttpsURL base,
                  java.lang.String relative)
                   throws URIException

      Construct a HTTPS URL with a given relative HTTPS URL string.
      Parameters:
        `base` - the base HttpsURL
        `relative` - the relative HTTPS URL string
      Throws:
        `URIException` - If `checkValid()` fails

    - #### HttpsURL

          public HttpsURL(HttpsURL base,
                  HttpsURL relative)
                   throws URIException

      Construct a HTTPS URL with a given relative URL.
      Parameters:
        `base` - the base HttpsURL
        `relative` - the relative HttpsURL
      Throws:
        `URIException` - If `checkValid()` fails

  - ### Method Detail

    - #### getRawScheme

          public char[] getRawScheme()

      Get the scheme. You can get the scheme explicitly.
      Overrides:
        `getRawScheme` in class `HttpURL`
      Returns:
        the scheme

    - #### getScheme

          public java.lang.String getScheme()

      Get the scheme. You can get the scheme explicitly.
      Overrides:
        `getScheme` in class `HttpURL`
      Returns:
        the scheme null if empty or undefined

    - #### getPort

          public int getPort()

      Get the port number.
      Overrides:
        `getPort` in class `HttpURL`
      Returns:
        the port number

    - #### checkValid

          protected void checkValid()
                             throws URIException

      Verify the valid class use for construction.
      Overrides:
        `checkValid` in class `HttpURL`
      Throws:
        `URIException` - the wrong scheme use

Copyright (c) 1999-2005 - Apache Software Foundation